%global modname pycallgraph

Name:             python-pycallgraph
Version:          0.5.1
Release:          13%{?dist}
Summary:          A module that creates call graphs for Python programs

Group:            Development/Languages
License:          GPLv2+
URL:              http://pycallgraph.slowchop.com
Source0:          http://pycallgraph.slowchop.com/files/download/%{modname}-%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    python2-devel

%global _description\
Python Call Graph uses GraphViz to generate call graphs from one execution of\
your Python code. It's very easy to use and can point out possible problems\
with your code execution.

%description %_description

%package -n python2-pycallgraph
Summary: %summary
Requires:         graphviz
%{?python_provide:%python_provide python2-pycallgraph}

%description -n python2-pycallgraph %_description

%prep
%setup -q -n %{modname}-%{version}

%build
sed -i 1d pycallgraph.py
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files -n python2-pycallgraph
%doc COPYING
%{_bindir}/pycallgraph
%{python_sitelib}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.1-12
- Python 2 binary package renamed to python2-pycallgraph
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 23 2012 Luke Macken <lmacken@redhat.com> - 0.5.1-2
- Require python2-devel
- Change license tag from GPLv2 to GPLv2+
- Remove shebang from script

* Mon Mar 12 2012 Luke Macken <lmacken@redhat.com> - 0.5.1-1
- Initial package for Fedora
